package com.huifu.bspay.sdk.demo.merchant;

import com.huifu.bspay.sdk.demo.init.MerchantConfigDemo;
import org.junit.*;

/**
* @Description:    汇分期测试
* @Author:         wen.shao
* @CreateDate:     2021/4/19 15:42
*/
public class HuiFenQiDemoTest {

    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        // 进行全局初始化，配置密钥等。
        MerchantConfigDemo.initMerchantConfig();
    }

    @AfterClass
    public static void tearDownAfterClass() throws Exception {
        System.out.println("this is afterClasss....");
    }

    @Before
    public void setUp() throws Exception {
        System.out.println("this is brfore....");
    }

    @After
    public void tearDown() throws Exception {
        System.out.println("this is after....");
    }

    @Test
    public void doCreateHbSolutionTest() {
        CreateHbSolutionDemo.createHbSolution();
    }

    @Test
    public void doModifyHbSolutionTest() {
        ModifyHbSolutionDemo.modifyHbSolution();
    }

    @Test
    public void doModifySolutionStatusTest() {
        ModifySolutionStatusDemo.modifySolutionStatus();
    }

    @Test
    public void doConfigFqFeeTest() {
        ConfigFqFeeDemo.configFqFee();
    }

    @Test
    public void doQueryFqFeeDetailTest() {
        QueryFqFeeDetailDemo.queryFqFeeDetail();
    }

    @Test
    public void doQueryHbBillTest() {
        QueryHbBillDemo.queryHbBill();
    }

    @Test
    public void doQuerySolutionDetailTest() {
        QuerySolutionDetailDemo.querySolutionDetail();
    }
}
