package com.huifu.bspay.sdk.demo.trans;

import com.huifu.bspay.sdk.demo.init.MerchantConfigDemo;
import org.junit.*;

/**
 * @ClassName AcctPaymentDemoTest.java
 * @Description
 * @Author jili.hua
 * @Date 2021/4/14 9:46
 * @Version 1.0
 **/
public class AcctPaymentDemoTest {

    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        // 进行全局初始化，配置密钥等。
        MerchantConfigDemo.initMerchantConfig();
    }

    @AfterClass
    public static void tearDownAfterClass() throws Exception {
        System.out.println("this is afterClasss....");
    }

    @Before
    public void setUp() throws Exception {
        System.out.println("this is brfore....");
    }

    @After
    public void tearDown() throws Exception {
        System.out.println("this is after....");
    }

    @Test
    public void doAcctPaymentTest() {
        AcctPaymentDemo.executeAcctPayment();
    }

    @Test
    public void doAcctPaymentQueryTest() {
        AcctPaymentDemo.executeAcctPaymentQuery();
    }

    @Test
    public void doAcctPaymentRefundTest() {
        AcctPaymentDemo.executeAcctPaymentRefund();
    }

    @Test
    public void doAcctPaymentRefundQueryTest() {
        AcctPaymentDemo.executeAcctPaymentRefundQuery();
    }
}
