/**
 * 汇付天下有限公司
 * Copyright (c) 2006-2021 ChinaPnR,Inc.All Rights Reserved.
 */
package com.huifu.bspay.sdk.demo.trans;

import com.huifu.bspay.sdk.demo.init.MerchantConfigDemo;
import org.junit.*;

/**
 *
 * @author kefeng.zheng
 * @version v 0.1
 */
public class TransQueryDemoTest {
    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        // 进行全局初始化，配置密钥等。
        MerchantConfigDemo.initMerchantConfig();
    }

    @AfterClass
    public static void tearDownAfterClass() throws Exception {
        System.out.println("this is afterClasss....");
    }

    @Before
    public void setUp() throws Exception {
        System.out.println("this is brfore....");
    }

    @After
    public void tearDown() throws Exception {
        System.out.println("this is after....");
    }

    /**
     * 交易查询
     */
    @Test
    public void doTransQueryTest () {
        TransQueryDemo.executeQuery();
    }

    /**
     * 线上交易查询
     */
    @Test
    public void doOnlineTransQueryTest () {
        TransQueryDemo.executeOnlineTransQuery();
    }
}
