/**
 * 汇付天下有限公司
 * Copyright (c) 2006-2021 ChinaPnR,Inc.All Rights Reserved.
 */
package com.huifu.bspay.sdk.demo.constants;

/**
 *
 * @author kefeng.zheng
 * @version v 0.1
 */
public class DemoConstants {
    /**
     * 汇付分配的产品号
     */
    public static final String DEMO_PRODUCT_ID = "分配产品号";
    /**
     * 汇付分配的系统号
     */
    public static final String DEMO_SYS_ID = "分配系统号";
    /**
     * 商户进件后获得的商户号
     */
    public static final String DEMO_HUIFU_ID = "商户号";

    /**
     * 汇付分配的私钥，用于调用接口时进行签名
     */
    public static final String DEMO_RSA_PRIVATE_KEY = "分配私钥";

    /**
     * 汇付分配的公钥，用于对汇付返回报文进行签名验证
     */
    public static final String DEMO_RSA_PUBLIC_KEY = "分配公钥";

    /**
     * 微信分配的商户公众账号ID
     */
    public static final String WX_SUB_APP_ID = "微信appid";
    /**
     * 用户在商户appid下的唯一标识，由商户自行调用微信接口通过授权码换取的openid
     */
    public static final String WX_SUB_OPEN_ID = "微信openid";

    /**
     * 用户在商户appid下的唯一标识，由商户自行调用微信接口通过授权码换取的openid
     */
    public static final String ALI_BUYER_ID = "支付宝买家号";

    /**
     * 银联用户唯一标识
     */
    public static final String UNIONPAY_USER_ID = "银联用户标识";

    /**
     * 支付宝用户展示的付款二维码
     */
    public static final String ALIPAY_AUTH_CODE = "支付宝付款二维码";

    /**
     * 微信用户展示的付款二维码
     */
    public static final String WX_AUTH_CODE = "微信付款二维码";

    /**
     * 银联用户展示的付款二维码
     */
    public static final String UNIONPAY_AUTH_CODE = "银联付款二维码";

    /**
     * 银联用户授权码
     */
    public static final String UNIONPAY_USER_AUTH_CODE = "银联用户授权码";

    /**
     * 手机网页支付银行卡号
     */
    public static final String WAP_PAY_CARD_NO = "银行卡号";

    /**
     * 异步通知地址
     */
    public static final String NOTICE_URL = "virgo://http://www.xxx.com/getResp";

    /**
     * 分账商户号
     */
    public static final String DIV_HUIFU_ID = "分账方商户号";


    /**
     * 取现卡序列号
     */
    public static final String TOKEN_NO = "取现卡绑卡序列号";

    // 银行卡分期测试信息
    public static final String BANK_NO = "银行编号";
    public static final String CARD_NAME = "银行卡户名";
    public static final String CARD_NO = "银行卡号";
    public static final String CARD_MOBILE = "手机号";
    public static final String ID_NO = "证件号码";
    public static final String CVV2 = "cvv2";
    public static final String VALID_DATE = "有效期MMDD格式";
    public static final String CARD_TYPE = "借贷记";
    public static final String TRANS_AMT = "100.00";
}
