package com.huifu.bspay.sdk.demo.trans;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import com.huifu.bspay.sdk.demo.init.MerchantConfigDemo;

public class TransCashDemoTest {


    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        // 进行全局初始化，配置密钥等。
        MerchantConfigDemo.initMerchantConfig();
    }

    @AfterClass
    public static void tearDownAfterClass() throws Exception {
        System.out.println("this is afterClasss....");
    }

    @Before
    public void setUp() throws Exception {
        System.out.println("this is brfore....");
    }

    @After
    public void tearDown() throws Exception {
        System.out.println("this is after....");
    }
    
    /**
     * 取现
     */
    @Test
    public void doEnchashmentTest() {
        TransCashDemo.executeEnchashment();
    }
    
    /**
     * 取现交易查询
     */
    @Test
    public void doCashQuery() {
        TransCashDemo.executeCashQuery();
    }

}
