package com.huifu.bspay.sdk.demo.trans;


import com.huifu.bspay.sdk.demo.init.MerchantConfigDemo;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

public class TransRefundDemoTest {
    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        // 进行全局初始化，配置密钥等。
        MerchantConfigDemo.initMerchantConfig();
    }

    @AfterClass
    public static void tearDownAfterClass() throws Exception {
        System.out.println("this is afterClasss....");
    }

    @Before
    public void setUp() throws Exception {
        System.out.println("this is brfore....");
    }

    @After
    public void tearDown() throws Exception {
        System.out.println("this is after....");
    }

    /**
     * 扫码交易退款
     */
    @Test
    public void executeRefundTest() {
        AggregatePaymentDemo.executeRefund();
    }

    /**
     * 扫码交易退款查询
     */
    @Test
    public void executeRefundQueryTest() {
        AggregatePaymentDemo.executeRefundQuery();
    }

    /**
     * 线上交易退款
     */
    @Test
    public void executeOnlineRefundTest() {
        TransRefundDemo.executeOnlineRefund();
    }

    /**
     * 线上交易退款查询
     */
    @Test
    public void executeOnlineRefundQueryTest() {
        TransRefundDemo.executeOnlineRefundQuery();
    }
}